Bug 175699 - [UPDATE] dns/poweradmin to 2.1.6
Summary: [UPDATE] dns/poweradmin to 2.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 12:00 UTC by Edmondas Girkantas
Modified: 2013-02-04 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (9.14 KB, patch)
2013-01-30 12:00 UTC, Edmondas Girkantas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Edmondas Girkantas 2013-01-30 12:00:00 UTC
Updated to 2.1.6 version.

Please add these lines to /usr/ports/UPGRADING:

Some database changes have been made between version 2.1.5 and 2.1.6, upgrading needs to be done manually by running the following SQL statements:

For MySQL users:

ALTER TABLE users MODIFY username VARCHAR(64) NOT NULL DEFAULT '0';
ALTER TABLE users MODIFY password VARCHAR(128) NOT NULL DEFAULT '0';

For PostgreSQL users:

ALTER TABLE users ALTER COLUMN username TYPE VARCHAR(64);
ALTER TABLE users ALTER COLUMN password TYPE VARCHAR(128);

Fix: Apply provided patch.

Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2013-02-01 17:09:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-02-04 01:23:09 UTC
Author: amdmi3
Date: Mon Feb  4 01:22:56 2013
New Revision: 311533
URL: http://svnweb.freebsd.org/changeset/ports/311533

Log:
  - Update to 2.1.6
  
  PR:		175699
  Submitted by:	Edmondas Girkantas <eg@fbsd.lt> (maintainer)

Deleted:
  head/dns/poweradmin/files/patch-add_zone_master.php
  head/dns/poweradmin/files/patch-edit.php
  head/dns/poweradmin/files/patch-helper.js
  head/dns/poweradmin/files/patch-record.inc.php
  head/dns/poweradmin/files/patch-templates.inc.php
Modified:
  head/dns/poweradmin/Makefile
  head/dns/poweradmin/distinfo

Modified: head/dns/poweradmin/Makefile
==============================================================================
--- head/dns/poweradmin/Makefile	Mon Feb  4 00:54:04 2013	(r311532)
+++ head/dns/poweradmin/Makefile	Mon Feb  4 01:22:56 2013	(r311533)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	poweradmin
-PORTVERSION=	2.1.5
+PORTVERSION=	2.1.6
 CATEGORIES=	dns www
 MASTER_SITES=	SF/${PORTNAME} \
 		https://www.poweradmin.org/download/

Modified: head/dns/poweradmin/distinfo
==============================================================================
--- head/dns/poweradmin/distinfo	Mon Feb  4 00:54:04 2013	(r311532)
+++ head/dns/poweradmin/distinfo	Mon Feb  4 01:22:56 2013	(r311533)
@@ -1,2 +1,2 @@
-SHA256 (poweradmin-2.1.5.tgz) = fe296a512dc1fe24483ebb4fc63d469e555ac64ae83f6a9ae2e6947cb94aef52
-SIZE (poweradmin-2.1.5.tgz) = 179862
+SHA256 (poweradmin-2.1.6.tgz) = ea728a522641bce59dfbe67b080c168b5484aa67b1af90a61c52f36ee573097d
+SIZE (poweradmin-2.1.6.tgz) = 254258
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2013-02-04 01:23:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-04 01:23:45 UTC
Author: amdmi3
Date: Mon Feb  4 01:23:33 2013
New Revision: 311534
URL: http://svnweb.freebsd.org/changeset/ports/311534

Log:
  - Add note about upgrading dns/poweradmin
  
  PR:		175699

Modified:
  head/UPDATING

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Feb  4 01:22:56 2013	(r311533)
+++ head/UPDATING	Mon Feb  4 01:23:33 2013	(r311534)
@@ -5,6 +5,23 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130204:
+  AFFECTS: users of dns/poweradmin
+  AUTHOR: Edmondas Girkantas <eg@fbsd.lt>
+
+  Some database changes have been made between version 2.1.5 and 2.1.6,
+  upgrading needs to be done manually by running the following SQL:
+
+  For MySQL users:
+
+  ALTER TABLE users MODIFY username VARCHAR(64) NOT NULL DEFAULT '0';
+  ALTER TABLE users MODIFY password VARCHAR(128) NOT NULL DEFAULT '0';
+
+  For PostgreSQL users:
+
+  ALTER TABLE users ALTER COLUMN username TYPE VARCHAR(64);
+  ALTER TABLE users ALTER COLUMN password TYPE VARCHAR(128);
+
 20130203:
   AFFECTS: users of KDE SC 4
   AUTHOR: kde@FreeBSD.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"